summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorteor <teor@torproject.org>2019-09-10 12:24:08 +1000
committerteor <teor@torproject.org>2019-09-10 12:24:08 +1000
commitaf12b6fd294c3019b8109d9607cd24740a0d3a99 (patch)
treecab4712f3197cbb43b17c9ac712af31c7e1f8095 /scripts
parent8c37bf738dce0bf8487e94e386ed3d580e5d13c3 (diff)
downloadtor-af12b6fd294c3019b8109d9607cd24740a0d3a99.tar.gz
tor-af12b6fd294c3019b8109d9607cd24740a0d3a99.zip
scripts: Make checkShellScripts.sh error exit if it can't find src
Closes 31679.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/maint/checkShellScripts.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/scripts/maint/checkShellScripts.sh b/scripts/maint/checkShellScripts.sh
index 18a83d1fbb..318f0fb577 100755
--- a/scripts/maint/checkShellScripts.sh
+++ b/scripts/maint/checkShellScripts.sh
@@ -31,6 +31,7 @@ TOPLEVEL=$(dirname "$(dirname "$HERE")")
if [ ! -d "$TOPLEVEL/src" ]; then
printf "Error: Couldn't find src directory in expected location: %s\\n" \
"$TOPLEVEL/src"
+ exit 1
fi
# Check *.sh scripts, but ignore the ones that we can't fix